Skip to content
Amplify APIReference

List Marketers

GET/marketers

Retrieve all Marketers associated with the current user (as identified by the token in the OB-TOKEN-V1 HTTP header).

OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Query Parameters

extraFields?string

the additional marketer fields you want to include in the response

Response Body

application/json

curl -X GET "https://example.com/marketers?extraFields=Account"
{  "marketers": [    {      "id": "00f4b02153ee75f3c9dc4fc128ab041962",      "name": "my marketer",      "enabled": true,      "lastModified": "2014-04-20 14:52:13",      "creationTime": "2013-06-19 21:17:11",      "blockedSites": {}    },    {      "id": "0095b3a4811c42fe570d1e730e7286adb4",      "name": "my other marketer",      "enabled": false,      "lastModified": "2014-08-05 14:52:13",      "creationTime": "2013-01-04 21:17:11",      "blockedSites": {}    }  ],  "count": 2}